> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/psdk-latest/psdk-downloads-and-class-intro/release-notes/3.61.md).

# 3.61

### [PSDK\_3.61.3](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#id42)[](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#psdk-3-61-3)

| Ticket    | Type        | Description                                                               |
| --------- | ----------- | ------------------------------------------------------------------------- |
| PSDK-4512 | Enhancement | <ul><li>Added support for displaying QR Code for SCA terminals.</li></ul> |

### [PSDK\_3.61.2](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#id43)[](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#psdk-3-61-2)

| Ticket    | Type        | Description                                                                              |
| --------- | ----------- | ---------------------------------------------------------------------------------------- |
| PSDK-4616 | Enhancement | <ul><li>Implement PSDK transient state clean-up on command abort/cancellation.</li></ul> |

### [PSDK\_3.61.1](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#id44)[](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#psdk-3-61-1)

| Ticket    | Type        | Description                                                                                                 |
| --------- | ----------- | ----------------------------------------------------------------------------------------------------------- |
| PSDK-4605 | Enhancement | <ul><li>Update PSDK state machine for abort handling.</li></ul>                                             |
| PSDK-4601 | BugFix      | <ul><li>Internal: fixed message and event caching.</li></ul>                                                |
| PSDK-4584 | BugFix      | <ul><li>Retain PSDK AwaitingTerminal state correctly until Basket Finalized response is received.</li></ul> |

### [PSDK\_3.61.0](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#id45)[](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#psdk-3-61-0)

| Ticket    | Type        | Description                                                                                                                        |
| --------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| PSDK-4105 | Enhancement | <ul><li>Handle Reversed message when SCA and host communication times out and exchanges TOR messages</li></ul>                     |
| PSDK-4159 | Enhancement | <ul><li>Added setIncludeReceiptData API to return receipt data for transaction queries if set for Nexo terminals.</li></ul>        |
| PSDK-4280 | Enhancement | <ul><li>Added support for the POS to request PIN encryption for Nexo terminals.</li></ul>                                          |
| PSDK-4292 | Enhancement | <ul><li>Introduced ScannerManager for accessing e-series terminals hardware scanners</li></ul>                                     |
| PSDK-4368 | Enhancement | <ul><li>Enabled EarlyCardCapture for PreAuth, Activate, Add Value and Close for SCA terminals.</li></ul>                           |
| PSDK-4432 | Enhancement | <ul><li>Stripped leading 4 characters of barcode scan data sent by the e-series terminals hardware scanners.</li></ul>             |
| PSDK-4094 | BugFix      | <ul><li>Fixed an internal issue of race condition related to the way basket events are getting cached and uncached.</li></ul>      |
| PSDK-4328 | BugFix      | <ul><li>Added support for OriginalPoiTransaction in payment and stored value responses applicable for Nexo terminals.</li></ul>    |
| PSDK-4418 | BugFix      | <ul><li>Resolved race condition when performing unsynchronized payment adapter actions</li></ul>                                   |
| PSDK-4431 | BugFix      | <ul><li>Added support for custom abort messages in enable service request.</li></ul>                                               |
| PSDK-4442 | BugFix      | <ul><li>Change PSDK APM list configuration to allow passing empty list to the payment app disabling APMs for transaction</li></ul> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifone.com/psdk-latest/psdk-downloads-and-class-intro/release-notes/3.61.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
